View Issue Details

IDProjectCategoryView StatusLast Update
0003451GNUnetGNSpublic2018-06-07 00:25
ReporterellAssigned ToChristian Grothoff 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformOSXubuntu-14.04-64amdOS Version
Product VersionSVN HEAD 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0003451: Revision 33733: gnunet-gns-proxy-setup-ca error-message from certutil
Descriptionell@Xubu-14:~$ cd gnunet
ell@Xubu-14:~/gnunet$ gnunet-gns-proxy-setup-ca
Generating CA
Generating a 2048 bit RSA private key
..........................................................................+++
..+++
writing new private key to '/tmp/gnscakeyizwImu.pem'
-----
Removing passphrase from key
writing RSA key
Importing CA into browsers
Importing CA info Firefox /home/ell/.mozilla/firefox/yaqb5vsj.default
Importing CA into Chrome
certutil: could not find certificate named "GNS Proxy CA": SEC_ERROR_BAD_DATABASE: security library: bad database.
You can now start gnunet-gns-proxy and configure your browser to use a SOCKS proxy on port 7777

Is this a bug or can I ignore this?
TagsNo tags attached.

Activities

Christian Grothoff

2014-06-22 21:30

manager   ~0008459

Last edited: 2014-06-22 21:30

View 2 revisions

Fixed the issue in SVN 33747. However, to truly recover, you might need to go into firefox/iceweasel under edit-preferences-advanced-view certificates-authorities and remove the entry (or entries) under "GNU" using the "delete or distrust" button. After that, the error should really be gone. (but you then need to re-run the shell script)

Issue History

Date Modified Username Field Change
2014-06-19 09:37 ell New Issue
2014-06-19 09:37 ell Status new => assigned
2014-06-19 09:37 ell Assigned To => Matthias Wachs
2014-06-22 21:29 Christian Grothoff Assigned To Matthias Wachs => Christian Grothoff
2014-06-22 21:30 Christian Grothoff Note Added: 0008459
2014-06-22 21:30 Christian Grothoff Status assigned => resolved
2014-06-22 21:30 Christian Grothoff Fixed in Version => 0.11.0pre66
2014-06-22 21:30 Christian Grothoff Resolution open => fixed
2014-06-22 21:30 Christian Grothoff Note Edited: 0008459 View Revisions
2014-06-22 21:30 Christian Grothoff Target Version => 0.11.0pre66
2018-06-07 00:25 Christian Grothoff Status resolved => closed